Skip to main content
POST
/
api
/
placeholder
curl -X POST 'https://api.sendforsign.com/api/placeholder' \ 
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{ 
          "data": {
              "action": "list",
              "clientKey": "YOUR_CLIENT_KEY",
              "contractKey": "CONTRACT_KEY",
              "templateKey": "TEMPLATE_KEY"
				  }
     }'
{
    "placeholders": [
        {
            "id": "1",
            "createTime": "2024-02-26T11:07:55.000Z",
            "changeTime": "2024-02-26T11:07:59.000Z",
            "name": "Placeholder Name",
            "value": "Placeholder Value",
            "placeholderKey": "PLACEHOLDER_KEY",
            "position": 1
        }
    ],
    "code": "200",
    "message": "Placeholders found"
}

Documentation Index

Fetch the complete documentation index at: https://about.sendforsign.com/llms.txt

Use this file to discover all available pages before exploring further.

Body parameters

data
object
required

Response

placeholders
string
Array of placeholders.
code
string
The code of the answer.
message
string
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/placeholder' \ 
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{ 
          "data": {
              "action": "list",
              "clientKey": "YOUR_CLIENT_KEY",
              "contractKey": "CONTRACT_KEY",
              "templateKey": "TEMPLATE_KEY"
				  }
     }'
{
    "placeholders": [
        {
            "id": "1",
            "createTime": "2024-02-26T11:07:55.000Z",
            "changeTime": "2024-02-26T11:07:59.000Z",
            "name": "Placeholder Name",
            "value": "Placeholder Value",
            "placeholderKey": "PLACEHOLDER_KEY",
            "position": 1
        }
    ],
    "code": "200",
    "message": "Placeholders found"
}